You can sign up to get a daily email of our articles, see the Mailing List page!
Can’t install Battle.net (Overwatch/Lutris)
Donald_Barker commented on 8 June 2019 at 10:16 am UTC

I get the following window shown:
image

P.S. This is the first time I get the error. I had it installed before but wanted deleted my old installation in Lutris.

liamdawe commented on 8 June 2019 at 10:45 am UTC

I would suggest going over this dedicated page for it https://github.com/lutris/lutris/wiki/Game:-Blizzard-App

Donald_Barker commented on 8 June 2019 at 10:53 am UTC

liamdaweI would suggest going over this dedicated page for it https://github.com/lutris/lutris/wiki/Game:-Blizzard-App


I know the WIKI. It's not listed. Otherwise I wouldn't ask in forums. Already looked around a lot.

liamdawe commented on 8 June 2019 at 10:54 am UTC

Donald_Barker
liamdaweI would suggest going over this dedicated page for it https://github.com/lutris/lutris/wiki/Game:-Blizzard-App


I know the WIKI. It's not listed. Otherwise I wouldn't ask in forums. Already looked around a lot.
Did you try everything listed on it? Including the launcher renaming?

Is this a new install or did you add it from an older install?

Donald_Barker commented on 8 June 2019 at 10:58 am UTC

liamdawe
Donald_Barker
liamdaweI would suggest going over this dedicated page for it https://github.com/lutris/lutris/wiki/Game:-Blizzard-App


I know the WIKI. It's not listed. Otherwise I wouldn't ask in forums. Already looked around a lot.
Did you try everything listed on it? Including the launcher renaming?

Is this a new install or did you add it from an older install?

I tried every listed fix. I also reinstalled Lutris. It's a new install.

Ehvis commented on 8 June 2019 at 11:54 am UTC

Any problems I've had with the Lutris install all came down to dependencies.

I wasn't able to narrow it down and had to resort to doing the

sudo apt install --install-recommends winehq-staging

Frome the Wine repository to get it working. Not too happy about that since it installs A LOT of crap. It just wasn't worth the time to trial and error my way through what it was actually missing.

Donald_Barker commented on 8 June 2019 at 12:59 pm UTC

EhvisAny problems I've had with the Lutris install all came down to dependencies.

I wasn't able to narrow it down and had to resort to doing the

sudo apt install --install-recommends winehq-staging

Frome the Wine repository to get it working. Not too happy about that since it installs A LOT of crap. It just wasn't worth the time to trial and error my way through what it was actually missing.

I already have winehq-staging installed. So this is also not the problem

Ehvis commented on 8 June 2019 at 11:05 pm UTC

Donald_Barker
EhvisAny problems I've had with the Lutris install all came down to dependencies.

I wasn't able to narrow it down and had to resort to doing the

sudo apt install --install-recommends winehq-staging

Frome the Wine repository to get it working. Not too happy about that since it installs A LOT of crap. It just wasn't worth the time to trial and error my way through what it was actually missing.

I already have winehq-staging installed. So this is also not the problem

Having wine staging installed doesn't necessarily mean you did the recommended dependency install.

legluondunet commented on 9 June 2019 at 11:13 am UTC

First: verify at the page liamdawe gave you https://github.com/lutris/lutris/wiki/Game:-Blizzard-App you donne all the necessary tweaks and install all dependencies.

second: install battle.net from zero, you don't have to erase your actual install, just install a new one, does this work?

Don't forget to install libvulkan libraries in 64 AND 32 bits. Then activate DXVK in Lutris as Battle.Net needs directx11.

Due to spam you need to Register and Login to comment.


Or login with...

Livestreams & Videos
Community Livestreams
See more!
Popular this week
View by Category
Contact
Latest Comments
Latest Forum Posts